%------------------------------------------------------------%
%--- License terms ------------------------------------------%
%------------------------------------------------------------%

%--- This software is distributed under CC0 1.0 Public Domain 
%--- Dedication. To the extent possible under law, the authors
%--- (Marcus Wagner et al.) have dedicated all copyright and 
%--- related and neighboring rights to this software to the 
%--- public domain worldwide. This software is distributed 
%--- without any warranty. You should have received a copy of the 
%--- CC0 1.0 Universal Public Domain Dedication along with this 
%--- software. If not, write to Creative Commons, PO Box 1866, 
%--- Mountain View, CA 94042, USA.

%------------------------------------------------------------%
%--- Setting of parameters as global variables --------------%
%------------------------------------------------------------%

%------------------------------------------------------------%
%--- Parameters for analyzing DAPI channel ------------------%
%------------------------------------------------------------%

medpar_dapi = 31;
%--- window size for median filter (px)

regpar_dapi = 0.06;
%--- regularization parameter for ROF filtering 

regit_dapi = 40; 
%--- number of iterations for ROF filtering

size_dapi_quadrat = 31;
%--- side lenght of covering square for DAPI mask (px)
%--- number must be odd

schwelle_dapi = 10/255;
%--- lower threshold for brightness of pixels which will
%--- be covered in DAPI mask by a white square
%--- must be a fraction with denominator 255 

fill_dapi = 4096;
%--- maximal size (px) of lacunas in raw DAPI mask
%--- to be filled 

pixel_area = 0.454 * 0.454;
%--- area of a single pixel in metric units (\mu m^2)

%------------------------------------------------------------%
%--- Parameters for analyzing CD14/488nm channel ------------%
%------------------------------------------------------------%

medpar_488 = 31;
%--- window size for median filter (px)

regpar_488 = 0.035;
%--- regularization parameter for ROF filtering  

regit_488 = 40; 
%--- number of iterations for ROF filtering

feature_488_min = 160;
%--- minimal size of single recognized macrophage (px)

feature_488_max = 1500; 
%--- maximal size of single recognized macrophage (px)
%--- number must be larger than feature_488_min

konvpar_488 = 7.5;
%--- area excess of convex hull of the feature (percent)
%--- used as lower bound

excentpar_488 = 3;
%--- ratio between major and minor axis 
%--- of the ellipsoid enveloping the feature
%--- used as upper bound

bdrypar_488 = 2.5;
%--- ratio between the perimeter of the feature and the 
%--- perimeter of an annulus of equal area
%--- used as upper bound

%------------------------------------------------------------%
%--- Parameters for analyzing CD163/555nm channel -----------%
%------------------------------------------------------------%

medpar_555 = 31;
%--- window size for median filter (px)

regpar_555 = 0.035;
%--- regularization parameter for ROF filtering 

regit_555 = 40; 
%--- number of iterations for ROF filtering

feature_555_min = 160;
%--- minimal size of single recognized macrophage (px)

feature_555_max = 1500;
%--- maximal size of single recognized macrophage (px)
%--- number must be larger than feature_488_min

konvpar_555 = 7.5;
%--- area excess of convex hull of the feature (percent)
%--- used as lower bound

excentpar_555 = 3;
%--- ratio between major and minor axis 
%--- of the ellipsoid enveloping the feature
%--- used as upper bound

bdrypar_555 = 2.5;
%--- ratio between the perimeter of the feature and the 
%--- perimeter of an annulus of equal area
%--- used as upper bound


%------------------------------------------------------------%
%--- Parameters for recognition of double stainings ---------%
%------------------------------------------------------------%

prozent_CD14_555_gefaerbt = 0.2;
prozent_CD163_488_gefaerbt = 0.2; 


