%------------------------------------------------------------%
%--- License terms ------------------------------------------%
%------------------------------------------------------------%

%--- This software is distributed under CC0 1.0 Public Domain 
%--- Dedication. To the extent possible under law, the authors
%--- (Marcus Wagner et al.) have dedicated all copyright and 
%--- related and neighboring rights to this software to the 
%--- public domain worldwide. This software is distributed 
%--- without any warranty. You should have received a copy of the 
%--- CC0 1.0 Universal Public Domain Dedication along with this 
%--- software. If not, write to Creative Commons, PO Box 1866, 
%--- Mountain View, CA 94042, USA.

%------------------------------------------------------------%
%--- Generation of filenames as global variables ------------%
%--- Creation of logfile ------------------------------------%
%------------------------------------------------------------%

%------------------------------------------------------------%
%--- Generation of prefixes ---------------------------------%
%------------------------------------------------------------%

%--- assumes that suffix of image filenames is of lenght 4:
%--- *.xyz

if flag_488 == 1
praefix_488 = name_488_ori( 1 : (end - 4) );
end

if flag_555 == 1
praefix_555 = name_555_ori( 1 : (end - 4) );
end

if flag_dapi == 1
praefix_dapi = name_dapi_ori( 1 : (end - 4) );
end

%------------------------------------------------------------%
%--- Filenames for image results ----------------------------%
%------------------------------------------------------------%

if flag_488 == 1
name_488_cartoon = strcat(praefix_488, '_channel_488_type_cartoon.png');
name_488_segment = strcat(praefix_488, '_channel_488_type_segment.png');
name_488_convhull  = strcat(praefix_488, '_channel_488_type_convhull.png');
name_488_doppel = strcat(praefix_488, '_channel_488_type_dblstain.png');
end

if flag_555 == 1
name_555_cartoon = strcat(praefix_555, '_channel_555_type_cartoon.png');
name_555_segment = strcat(praefix_555, '_channel_555_type_segment.png'); 
name_555_convhull = strcat(praefix_555, '_channel_555_type_convhull.png');
name_555_doppel = strcat(praefix_555, '-channel_555_type_dblstain.png');
end

if flag_dapi == 1
name_dapi_cartoon = strcat(praefix_dapi, '_channel_DAPI_type_cartoon.png');
name_dapi_maske = strcat(praefix_dapi, '_channel_DAPI_type_mask.png');
end

%------------------------------------------------------------%
%--- Creation of logfile ------------------------------------%
%------------------------------------------------------------%

if flag_488 == 1
name_logfile = strcat(praefix_488, '_logfile.txt');
elseif flag_488 == -1 & flag_555 == 1
name_logfile = strcat(praefix_555, '_logfile.txt');
elseif flag_488 == -1 & flag_555 == -1 & flag_dapi == 1
name_logfile = strcat(praefix_dapi, '_logfile.txt');
end

fid = fopen(name_logfile, 'w');
fprintf(fid, 'Logfile created at: %s\n' , datestr(now, 'dd.mm.yyyy HH:MM:SS'));
fprintf(fid, '\n');
fprintf(fid, 'Original image data:\n');
fprintf(fid, '\n');

if flag_488 == 1
fprintf(fid, '%s\n', name_488_ori);
else
fprintf(fid, '(no image data for CD14/488nm channel available)\n');
end

if flag_555 == 1
fprintf(fid, '%s\n', name_555_ori);
else
fprintf(fid, '(no image data for CD163/555nm channel available)\n');
end

if flag_dapi == 1
fprintf(fid, '%s\n', name_dapi_ori);
else
fprintf(fid, '(no image data for DAPI channel available)\n');
end

fprintf(fid, '\n');
fprintf(fid, '-----------------------------------------------------------\n');
%fprintf(fid, '\n');
fclose(fid);





